Skip to main content

Incremental Authorizations


Incremental authorizations are merchant-initiated transactions with no cardholder present at the time of the transaction. They allow you to append an original pre-authorization to add products and services.

The incremental authorization has these limitations:

  • Original transaction must be a pre-authorization.
  • Must be in the same currency as the original pre-authorization.
  • Maximum of 100 incremental authorizations per transaction, in addition to the initial authorization.
  • Interchange optimization is not supported.
  • Split shipments are not supported.

Supported Processors

  • American Express Direct
  • Barclays
  • China UnionPay
  • Chase Paymentech Solutions
  • Barclays

Supported Card Types

  • American Express
  • Discover
  • Mastercard
  • Visa

Supported Card Types

  • Mastercard
  • Visa

Endpoints

PATCH /pts/v2/payments/{id}

PATCH /pts/v2/payments/{id}

PATCH /pts/v2/payments/{id}

The {id} is the transaction ID returned in the original authorization response.

Example

{  "clientReferenceInformation": {    "code": "33557799"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "105.00",      "currency": "USD"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20261002080000"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6479624584536070903093/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6479624584536070903093"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6479624584536070903093/captures"    }  },  "clientReferenceInformation": {    "code": "33557799"  },  "id": "6479624584536070903093",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "105.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "00X"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "00X"    },    "card": {      "type": "00X"    }  },  "processorInformation": {    "systemTraceAuditNumber": "819203",    "approvalCode": "831000",    "cardVerification": {      "resultCodeRaw": "M",      "resultCode": "M"    },    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "208115819203",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "6479624584536070903093",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-03-22T15:20:58Z"}

Required Fields

These fields are required when creating an incremental authorization request.

Default Required Fields

FieldDescription
clientReferenceInformation.codeorder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
orderInformation.amountDetails.totalAmount—
orderInformation.amountDetails.currency—

Country-Specific Required Field

FieldDescription
merchantInformation.transactionLocalDateTimerequired in Argentina when the time zone is not included in your account. Otherwise, this field is optional.

Optional Field

Optional Field
FieldDescription
clientReferenceInformation.transactionId—

Last published: September 29, 2026